"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-39/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B97E9D0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B97EA60>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B97EAF0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B97EB80>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B97EC10>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B97ECA0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B97ED30>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B97EDC0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B97EE50>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B97EEE0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B97EF70>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989040>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9890D0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989160>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9891F0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989280>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989310>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9893A0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989430>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9894C0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989550>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9895E0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989670>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989700>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989820>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989790>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9898B0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989940>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9899D0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989A60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989AF0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989B80>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989C10>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989CA0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989D30>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989DC0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989E50>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989EE0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B989F70>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C040>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C0D0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C160>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C1F0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C280>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C310>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C3A0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C430>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C4C0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C550>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C5E0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C670>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C700>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C790>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C820>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C8B0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C940>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98C9D0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98CA60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98CAF0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98CB80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98CC10>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98CCA0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98CD30>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98CDC0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98CE50>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B990040>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B98CEE0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9900D0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B990160>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9901F0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B990280>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B990310>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B990430>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9903A0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9904C0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B990550>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9905E0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B990700>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B990670>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B990790>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B990820>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9908B0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B990940>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B9909D0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000001DA1B990A60>)]
name: str = 'fr_HOCCN'
